package com.ortusoft.pricefixing.web.config;

import java.util.logging.Logger;

import javax.enterprise.event.Observes;

import org.picketlink.config.SecurityConfigurationBuilder;
import org.picketlink.event.SecurityConfigurationEvent;

public class HttpSecurityConfiguration {
	private static final Logger logger = Logger.getLogger(HttpSecurityConfiguration.class.getName());
	
	public void onInit(@Observes SecurityConfigurationEvent event) {
		
		logger.info("111");
		
		SecurityConfigurationBuilder builder = event.getBuilder();

		builder
			.http()
				.allPaths()
					.authenticateWith()
						.form()
							.authenticationUri("/login.jsf")
							.loginPage("/login.jsf")
							.errorPage("/error.jsf")
							.restoreOriginalRequest()
				.forPath("/logout")
					.logout()
					.redirectTo("/index.html");
	}
}
